## partman 40ubuntu2

=== Makefile ===
CFLAGS=-Wall -Os -D_GNU_SOURCE
LIBS=-lparted -ldl -ldebian-installer

all: parted_server parted_devices stralign

parted_server: parted_server.c
	$(CC) $(CFLAGS) $(LIBS) parted_server.c -o parted_server

parted_devices: parted_devices.c
	$(CC) $(CFLAGS) $(LIBS) parted_devices.c -o parted_devices

stralign: stralign.c
	$(CC) $(CFLAGS) stralign.c -o stralign

clean:
	rm -f parted_server parted_devices stralign

.PHONY: clean

=== debian/changelog ===
partman (40ubuntu2) warty; urgency=low

  * Merge from Debian (closes: Warty #1071, Debian #254814):
    - parted_server.c (resize_partition): allow resizing of file system
      which boundaries are not equal with the boundaries of the partition
      provided the file system is completely inside the partition.  Thanks
      to David Rasch.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  8 Sep 2004 00:38:50 +0100

partman (40ubuntu1) warty; urgency=low

  * Colin Watson
    - partman: Support an auto.d directory, which is run between init.d and
      choose_partition and which skips choose_partition if any script exits
      with an exit code greater than 100.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 18 Aug 2004 22:45:58 +0100

partman (40) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by George Papamichelakis
    - Finnish (fi.po) by Tapio Lehtonen
    - Italian (it.po) by Stefano Canepa
    - Bkmal, Norwegian (nb.po) by Knut Yrvin
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 12:29:43 -0300

partman (39) unstable; urgency=low

  * Bastian Blank
    - Fix dependencies.
    - Always strip binaries.
  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - Danish (da.po) by Claus Hindsgaul
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - Gallegan (gl.po) by Héctor Fernández López
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by I Gede Wijaya S
    - Italian (it.po) by Stefano Canepa
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Albanian (sq.po) by Elian Myftiu
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Bastian Blank <waldi@debian.org>  Thu, 20 May 2004 12:04:48 +0200

partman (38) unstable; urgency=low

  * Anton Zinoviev
     - parted_server.c (command_undo): destroy the old disk before
       reopening.  It is possible that this fixes #239300 
     - init.d/unsupported: exit 10 when the user presses <back> (instead
       of continuing the partitioner).  Thanks to Martin Michlmayr,
       closes: #243374
     - templates (partman/choose_partition): specify precisely that
       selecting a partition allows to assign a file system, mount point,
       etc.  Thanks to Eric Zupunski, closes: #245027
     - choose_partition/partition_tree/do_option: do not rely on the
       existence of partman/filesystem_long/"$filesystem" template.
       Thanks to Havard Korsvoll, closes: #248104
     - definitions.sh (humandev): include the usual linux device names in
       the text representations of the devices.  Thanks to Ricardo Corral,
       closes: #244821
     - move the "Finish partitioning" item again at the bottom.  Thanks to
       Martin Michlmayr, closes: #245524.
     - New script init.d/69no_media: warn the user when there is no
       partitionable media.  Thanks to Matt Weatherford, Martin Michlmayr
       and Brad Langhorst, closes: #240937, #246723, #247027.
     - parted_server.c (named_partition_is_virtual): write in the log file
       whether the partition was virtual or not.  Do not trace in the log
       file all comparisons with existing partitions.
     - parted_server.c: do not invoke remember_geometries_named() in
       set_disk_named, invoke it in unchange_named() instead
     - parted_server.c: new command DISK_UNCHANGED.
     - partman: in the confirmation dialog do not show as formatable
       partitions that have been already formatted.  Thanks to Martin
       Michlmayr, closes: #248063
     - init.d/backup: never rely on old backup directory
  * Christian Perrier
    - Fix ellipsis typography
  
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - French (fr.po) by Christian Perrier
    - Japanese (ja.po) by Kenshi Muto
    - Dutch (nl.po) by Bart Cornelis
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 15 May 2004 07:34:37 +0300

partman (37) unstable; urgency=low

  * Anton Zinoviev
    - init.d/parted: move the old device directories in old_devices
      directory.  Return back in /var/lib/parted/devices only the
      necessary of them.
  * Martin Michlmayr
    - Don't use partman for SGI machines at all, but use it for other
      mips machines.
  * Stephen R. Marenka
    - Don't use partman for m68k/atari and q40 at all (isinstallable),
      but make it default for all other m68k subarchs.
    - m68k definitions cleanup.
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek (el.po) by Konstantinos Margaritis
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Indonesian (id.po) by I Gede Wijaya S
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Albanian (sq.po) by Elian Myftiu


=== debian/control ===
Source: partman
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.6-dev, libdebian-installer4-dev
Standards-Version: 3.5.6

Package: partman
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, partman-partitioning, partman-target, archdetect, harddrive-detection, di-utils-mapdevfs
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

## partman 61ubuntu2

=== debian/changelog ===
partman (61ubuntu2) hoary; urgency=low

  * Drop priority of partman/confirm_nochanges question to medium.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:57:03 +0000

partman (61ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 13 Dec 2004 10:16:51 +0100

partman (61) unstable; urgency=low

  * Joey Hess
    - Restore pwd in enable_swap. Closes: #262868

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Dec 2004 14:00:50 -0500

partman (60ubuntu4) hoary; urgency=low

  * Explicitly exclude read-only devices from the output of parted_devices.
    As of parted 1.6.19, parted doesn't do this for us.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  4 Dec 2004 11:41:12 +0000

partman (60ubuntu3) hoary; urgency=low

  * Update for libparted API changes: get sectors, cylinders, and heads from
    PedDevice->bios_geom rather than PedDevice.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Dec 2004 10:22:42 +0000

partman (60ubuntu2) hoary; urgency=low

  * Build with new libparted ABI.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Dec 2004 19:55:18 +0000

partman (60ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * Set skip_choose_partition=no if the user doesn't confirm changes, to
    avoid looping ineffectually.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 16:43:58 +0100

partman (60) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Oct 2004 14:17:34 -0400

partman (59) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 15:34:46 -0400

partman (58) unstable; urgency=low

  * Anton Zinoviev
    - parted_server.c (command_get_resize_range): do not consider file
      systems longer than the containing partition
    - parted_server.c (command_get_resize_range): do not give resize range
      for file systems we can not resize
    - parted_server.c: new commands VIRTUAL_RESIZE_PARTITION and
      GET_VIRTUAL_RESIZE_RANGE.  They are undocumented and hopefully will
      exist only temporary to resize NTFS partition.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Indonesian (id.po) by Arief S Fitrianto
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Bøkmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Swedish (sv.po) by Per Olofsson
  
 -- Joey Hess <joeyh@debian.org>  Wed, 29 Sep 2004 23:24:23 -0400

partman (57) unstable; urgency=low

  * Jim Lieb
    - add correct name handling of cciss raid controllers. Closes: #271907
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Croatian (hr.po) by Krunoslav Gernhard

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Sep 2004 13:57:09 -0400

partman (56) unstable; urgency=low

  * Joey Hess
    - Remove the abort confirmation.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Italian (it.po) by Stefano Canepa
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2004 16:44:25 -0400

partman (55) unstable; urgency=HIGH

  * Joey Hess


## partman 63

=== debian/changelog ===
partman (63) unstable; urgency=low

  * Matt Kraai
    - Fix the spelling of "file system".
    - Use the US English spelling of "journaling".
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Feb 2005 22:13:59 -0500

partman (62) unstable; urgency=medium

  * Joshua Kwan
    - Call ped_disk_commit_to_dev after creating filesystem to fix sparc
      breakage. closes: #283303
  * Anton Zinoviev
    - Applied patch by Jurij Smakov to add new command GET_DISK_TYPE in
      parted_server, closes: #287931.
  * Colin Watson
    - Build with new libparted ABI (1.6.12).
    - Update for libparted API changes: get sectors, cylinders, and heads
      from PedDevice->bios_geom rather than PedDevice.
    - Explicitly exclude read-only devices from the output of
      parted_devices. As of parted 1.6.19, parted doesn't do this for us.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Gallegan (gl.po) by Hctor Fenndez Lpez
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bøkmal, Norwegian (nb.po) by Hans Fredrik Nordhaug
    - Portuguese (pt.po) by Miguel Figueiredo
    - Russian (ru.po) by Dmitry Beloglazov

 -- Colin Watson <cjwatson@debian.org>  Sat, 29 Jan 2005 21:04:52 +0000

=== debian/control ===
Source: partman
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.6-dev (>= 1.6.12)
Standards-Version: 3.5.6

Package: partman
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, libparted1.6-udeb, partman-partitioning, partman-target, archdetect, harddrive-detection, di-utils-mapdevfs
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

PACKAGE=partman

PROVIDES=made-filesystems, mounted-partitions, partitioned-harddrives, created-fstab

MENUITEMNUM=42
# ibm disk labels are completely unsupported
ifeq ($(ARCH),s390)
MENUITEMNUM=49
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -f `find . -name '*~'`
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	debian/install-rc choose_partition
	debian/install-rc storage_device
	debian/install-rc active_partition
	debian/install-rc free_space
	debian/install-rc init.d
	debian/install-rc undo.d
	debian/install-rc commit.d
	debian/install-rc finish.d
	debian/install-rc update.d
	debian/install-rc valid_visuals.d
	dh_install visual.d lib/partman
	dh_install definitions.sh lib/partman
	dh_install partman bin
	dh_install stralign bin
	dh_install parted_devices bin
	dh_install parted_server bin
	rm -rf `find debian/$(PACKAGE) -name .svn`

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	cp debian/isinstallable debian/${PACKAGE}/DEBIAN/
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -Vmenuitemnum=$(MENUITEMNUM) -Vprovides='$(PROVIDES)'
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
